package com.sonic.lion.lib.enums;

import lombok.Getter;

/**
 * @author: code
 * @date: 2025/05/07
 * @Description: 交易类型
 * @version: 1.0.0
 */
@Getter
public enum BizType {

    /**
     * 创建图片
     */
    CREATE_AI_IMAGE(610, "Create AI Image", TradeType.C2B),
    /**
     * 文本模型
     */
    TEXT_MODEL(620, "Text Model", TradeType.C2B),
    /**
     * 聊天辅助
     */
    CHAT_ASSISTANT(630, "Chat Assistant", TradeType.C2B),
    /**
     * 发送语音
     */
    SEND_VOICE(640, "Send Voice", TradeType.C2B),
    /**
     * 语音电话
     */
    VOICE_CALL(650, "Voice Call", TradeType.C2B),
    /**
     * 解锁上锁图片（10%计入官方虚拟账户，90%归用户虚拟钱包）
     */
    IMAGE_UNLOCK(700, "Image Unlock", TradeType.NON_SECURED_TRANSACTION),
    /**
     * 购买心动值
     */
    HEARTBEAT_PURCHASE(800, "Heartbeat Purchase", TradeType.C2B),
    /**
     * 虚拟礼物（10%计入官方虚拟账户，90%归用户虚拟钱包）
     */
    GIFT(900, "Gift", TradeType.NON_SECURED_TRANSACTION),
    /**
     * 解锁爱慕者
     */
    UNLOCK_ADMIRERS(1000, "Unlock Admirers", TradeType.C2B),

    /**
     * 新注册用户赠送
     */
    NEW_USER_GIFT(1001, "New User Gift", TradeType.NON_SECURED_TRANSACTION),

    /**
     * VIP用户赠送
     */
    VIP_BUFF_GIFT(1002, "VIP User Gift", TradeType.NON_SECURED_TRANSACTION),

    /**
     * 用户签到赠送
     */
    SIGN_IN_GIFT(1003, "Sign In Gift", TradeType.NON_SECURED_TRANSACTION),


    GIFT_TO_P(1004, "", TradeType.NON_SECURED_TRANSACTION),
    IMAGE_UNLOCK_TO_P(1005, "", TradeType.NON_SECURED_TRANSACTION);

    private final int value;

    private final String desc;

    private final TradeType tradeType;


    BizType(int value, String desc, TradeType tradeType) {
        this.value = value;
        this.desc = desc;
        this.tradeType = tradeType;
    }
}
